IpProject/UI_MVC/Controllers/FlowController.cs
using IP.BL.API;
using IP.BL.Domain.Flows;
using IP.BL.Domain.Flows.FlowComponents;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using UI_MVC.Models;

namespace IpProject.UI.MVC.Controllers;

[Authorize(Roles = "admin")]
public class FlowController : Controller
{
    private readonly IFlowManager _flowManager;
    private readonly ISubthemeManager _subthemeManager;

    public FlowController(IFlowManager flowManager, ISubthemeManager subthemeManager)
    {
        _flowManager = flowManager;
        _subthemeManager = subthemeManager;
    }
    
    [HttpGet]
    public IActionResult Create(Guid projectId)
    {
        var viewModel = new NewFlowViewModel
        {
            ProjectId = projectId
        };
        return View(viewModel);
    }


    [HttpPost]
    public IActionResult Create(NewFlowViewModel flowViewModel)
    {
        if (!ModelState.IsValid)
        {
            return View(flowViewModel);
        }

        var flow = new Flow
        {
            Name = flowViewModel.Name,
            Type = flowViewModel.Type,
            Description = flowViewModel.Description,
            ProjectId = flowViewModel.ProjectId
        };

        _flowManager.AddFlow(flow);

        return RedirectToAction("AddSubtheme", "Subtheme");

    }
}

IpProject/UI_MVC/Controllers/api/FlowsController.cs
using IP.BL.API;
using IP.BL.Domain.Flows.FlowComponents;
using IP.BL.Domain.Flows.FlowComponents.Questions;
using IP.BL.Managers;
using IpProject.UI.MVC.Models.Dtos;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore.Metadata.Internal;
using UI_MVC.Models;

namespace IpProject.UI.MVC.Controllers.api;

[ApiController]
[Route("/api/[controller]")]
public class FlowsController : ControllerBase
{
    private readonly IFlowManager _flowManager;
    private readonly IAnswerManager _answerManager;
    private readonly UnitOfWork _uow;

    public FlowsController(IFlowManager flowManager, IAnswerManager answerManager, UnitOfWork unitOfWork)
    {
        _flowManager = flowManager;
        _answerManager = answerManager;
        _uow = unitOfWork;
    }
    
}

IpProject/UI_MVC/Views/Flow/Create.cshtml
@model NewFlowViewModel

@{
    ViewBag.Title = "Create flow";
    Layout = "_Layout";
}

<div class="container">
    <div class="row">
        <h3 class="text-center">Stel een flow op</h3>
        <form asp-action="Create" asp-controller="Flow" method="post">
            <input type="hidden" asp-for="ProjectId"/>
            <div class="mb-3">
                <div class="form-group">
                    <label asp-for="Name" class="control-label">Naam:</label>
                    <input asp-for="Name" class="form-control"/>
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
                <br/>
                <div class="form-group">
                    <label asp-for="Type" class="control-label">Maak een keuze:</label><br>
                    <select asp-for="Type" class="form-control" required>
                        <option value="lineair">Lineair</option>
                        <option value="circulair">Circulair</option>
                    </select><br>
                    <span asp-validation-for="Type" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <label asp-for="Description" class="control-label">Beschrijving:</label>
                    <input asp-for="Description" class="form-control"/>
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>
            </div>
            <br/>
            <div class="form-group">
                <button type="submit" class="btn btn-primary" id="flowBtn">+ Vraag</button>
            </div>
        </form>
    </div>
</div>